Bug 1418516 - libselinux missing %%license macro
Summary: libselinux missing %%license macro
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libselinux
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Lautrbach
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: BaseRuntimeDocs, BaseRuntimeLicense
TreeView+ depends on / blocked
 
Reported: 2017-02-02 01:29 UTC by Stephen Gallagher
Modified: 2017-04-06 14:34 UTC (History)
5 users (show)

Fixed In Version: libselinux-2.6-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-06 14:34:44 UTC
Type: Bug


Attachments (Terms of Use)
Patch to add %license (1.70 KB, patch)
2017-02-02 01:29 UTC, Stephen Gallagher
sgallagh: review?
Details | Diff

Description Stephen Gallagher 2017-02-02 01:29:48 UTC
Created attachment 1246947 [details]
Patch to add %license

Description of problem:
This package contains one or more files containing the package license in the source tarball, but it is not installed on the system with the %license macro. This is important, because the license files will not be installed if the RPM is installed with docs disabled (such as when generating a container base image), which may be a compliance violation.

A provenpackager will apply the attached patch in two weeks if we receive no negative response from the maintainer.

Comment 1 Petr Lautrbach 2017-02-09 12:48:07 UTC
Applied. Thanks!

Comment 2 Fedora End Of Life 2017-02-28 11:09:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.


Note You need to log in before you can comment on or make changes to this bug.